Package org.apache.tapestry5.internal.services

## Class UnknownActivationContextHandlerImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.UnknownActivationContextHandlerImpl

- All Implemented Interfaces:
    `UnknownActivationContextHandler`

      public class UnknownActivationContextHandlerImpl
      extends Object
      implements UnknownActivationContextHandler

  Default implementation for `UnknownActivationContextHandler` which answer with a 404 NOT FOUND error.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnknownActivationContextHandlerImpl​(org.slf4j.Logger logger, ComponentEventResultProcessor resultProcessor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handleUnknownContext​(ComponentResources pageResources, EventContext activationContext)` | Answer the client in the case of a request coming in with an unknown activation context.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownActivationContextHandlerImpl

          public UnknownActivationContextHandlerImpl​(org.slf4j.Logger logger,
                                                     @Traditional @Primary
                                                     ComponentEventResultProcessor resultProcessor)

  - ### Method Detail

    - #### handleUnknownContext

          public void handleUnknownContext​(ComponentResources pageResources,
                                           EventContext activationContext)
                                    throws IOException

      Description copied from interface: `UnknownActivationContextHandler`
      Answer the client in the case of a request coming in with an unknown activation context.
      Specified by:
        `handleUnknownContext` in interface `UnknownActivationContextHandler`
      Throws:
        `IOException`